FEM Conteneur d'analyse

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page FEM Analysis and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

FEM Analysis.svg FEM Conteneur d'analyse

Emplacement du menu
Model → Conteneur d'analyse

Ateliers
FEM
Raccourci par défaut
S A
Introduit dans la version
-
Voir aussi
Tutoriel FEM

Description

Le module FEM (Méthode d'éléments finis) peut être considéré comme un conteneur qui contient tous les composants utiles servants à l'analyse d'éléments finis. Il est nécessaire de posséder un conteneur qui détient tous les objets nécessaires pour l'analyse. Au moins un des objets suivants est nécessaire pour une analyse mécanique:

Utilisation

  1. Il existe plusieurs façons d'appeler la commande:
    • Appuyez sur le bouton FEM Analysis.svg Créer un conteneur d'analyse....
    • Sélectionnez l'option Model → FEM Analysis.svg Conteneur d'analyse dans le menu.
    • Utilisez le raccourci clavier: S puis A.
  2. Une nouvelle analyse est créée et définie sur active.
  3. D'autres objets peuvent être ajoutés ou retirés du conteneur d'analyse par glisser-déposer.
  4. Pour ajouter un nouvel objet à analyser dans le conteneur, le conteneur FEM doit être actif. Double cliquez sur l'élément dans le conteneur permet d'activer l'analyse.

Options

  • A ce jour il n'y a pas d'option de choix.
  • le module FEM est toujours en développement. Rendez vous sur le forum [1] pour plus d' informations.

Propriétés

  • DonnéesOutpuDir: Spécifie le répertoire de travail pour l'analyse

Script

La plupart des codes ci dessous sont obsolète dans la version 0.17.

  • nouvelle analyse
MechanicalAnalysis.makeMechanicalAnalysis( name )
  • ajouter un objet à analyser
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ]
  • effacer un objet du conteneur
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove( documentobject )
 App.ActiveDocument.MechanicalAnalysis.Member = member

Exemples:

import MechanicalAnalysis
analysis = MechanicalAnalysis.makeMechanicalAnalysis("MechanicalAnalysis")
FemGui.setActiveAnalysis(analysis)

addobj = App.ActiveDocument.getObject("MechanicalMaterial")
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [addobj]

removeobj = App.ActiveDocument.getObject("MechanicalMaterial")
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove(removeobj)
App.ActiveDocument.MechanicalAnalysis.Member = member